openSUSE Security Update : mercurial (mercurial-75)

Medium Nessus Plugin ID 40065


The remote openSUSE host is missing a security update.


This update of mercurial improves the input validation. Prior to this patch it was possible to touch files as root. (CVE-2008-2942)


Update the affected mercurial package.

See Also

Plugin Details

Severity: Medium

ID: 40065

File Name: suse_11_0_mercurial-080704.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2009/07/21

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:mercurial, cpe:/o:novell:opensuse:11.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/07/04

Reference Information

CVE: CVE-2008-2942

CWE: 22